Bug 123404 - Changes to Templates options panel are not properly persisted
Changes to Templates options panel are not properly persisted
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Craig Conover
issues@uml
release601_fixes_candidate2, release6...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 22:53 UTC by Craig Conover
Modified: 2008-03-20 18:49 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Conover 2007-12-04 22:53:30 UTC
1) Open Tools|Options, UML, Templates: add a new domain template (Element Type:Class Stereotype:foo use any template file)
2) Create a class element with foo as stereotype. 
3) Generate Code - in dialog, enable the new template, click OK
Result: no template found for the new element with the foo stereotype.

Workaround:
After the new domain template is added, click the option OK button. Open options again and click OK. This second OK
seems to persist the change properly.
Comment 1 Craig Conover 2007-12-04 22:58:31 UTC
Upon further investigation, it is the Stereotype and Output Parameter properties that are not being persisted properly.
Comment 2 Craig Conover 2007-12-05 00:23:42 UTC
The problem was with Stereotype and Output Parameters fields. The changes were not being pushed into the DOM like the
Element Type field was.

The issues have been corrected and checkin of fix awaits approval for release 60 fix candidate.
Comment 3 Craig Conover 2007-12-05 00:26:21 UTC
Problem also with the Description field as well.
Comment 4 Craig Conover 2007-12-06 18:02:05 UTC
fix checked in to trunk and unstable_uml_visualcomponent branch
Comment 5 Petr Blaha 2008-02-01 12:32:14 UTC
The bug wasn't verified before cut-off date for 6.0.1patch1 and will be included in 6.0.1patch2.
Comment 6 Peter Lam 2008-02-22 23:32:31 UTC
verified in NB 6.1 build 200802191203.
Also verified in latest Meteora build (unstable_uml_visualcomponent branch).
Comment 7 Marian Mirilovic 2008-02-26 12:12:49 UTC
http://hg.netbeans.org/main/rev/a1a217c9c090
Comment 8 khu 2008-03-05 18:48:34 UTC
The fix has been ported into the release601_fixes branch

Checking in DomainTemplatesManagerPanel.form;
/cvs/uml/codegen/src/org/netbeans/modules/uml/codegen/ui/Attic/DomainTemplatesManagerPanel.form,v  <-- 
DomainTemplatesManagerPanel.form
new revision: 1.13.6.1; previous revision: 1.13
done
Checking in DomainTemplatesManagerPanel.java;
/cvs/uml/codegen/src/org/netbeans/modules/uml/codegen/ui/Attic/DomainTemplatesManagerPanel.java,v  <-- 
DomainTemplatesManagerPanel.java
new revision: 1.27.6.1; previous revision: 1.27
done
Checking in DomainTemplatesRetriever.java;
/cvs/uml/codegen/src/org/netbeans/modules/uml/codegen/dataaccess/Attic/DomainTemplatesRetriever.java,v  <-- 
DomainTemplatesRetriever.java
new revision: 1.7.6.1; previous revision: 1.7
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo